ports/57809: [update] dictd to 1.9.7
Cheng-Lung Sung
clsung at dragon2.net
Thu Oct 9 16:30:14 UTC 2003
>Number: 57809
>Category: ports
>Synopsis: [update] dictd to 1.9.7
>Confidential: no
>Severity: non-critical
>Priority: medium
>Responsible: freebsd-ports-bugs
>State: open
>Quarter:
>Keywords:
>Date-Required:
>Class: update
>Submitter-Id: current-users
>Arrival-Date: Thu Oct 09 09:30:03 PDT 2003
>Closed-Date:
>Last-Modified:
>Originator: Cheng-Lung Sung
>Release: FreeBSD 4.8-RELEASE-p13 i386
>Organization:
FreeBSD @ Taiwan
>Environment:
System: FreeBSD sungsung.csie.nctu.edu.tw 4.8-RELEASE-p13 FreeBSD 4.8-RELEASE-p13 #3: Wed Oct 8 07:32:16 CST 2003 root at sungsung.csie.nctu.edu.tw:/usr/obj/usr/src/sys/SUNGSUNG i386
>Description:
o upgrade dictd from 1.8.0 to 1.9.7
>How-To-Repeat:
>Fix:
diff -ruN /usr/ports/net/dictd/Makefile ./dictd/Makefile
--- /usr/ports/net/dictd/Makefile Tue Sep 9 21:00:16 2003
+++ ./dictd/Makefile Thu Oct 9 22:28:10 2003
@@ -7,8 +7,8 @@
#
PORTNAME= dictd
-PORTVERSION= 1.8.0
-PORTREVISION= 1
+PORTVERSION= 1.9.7
+PORTREVISION= 0
CATEGORIES+= net textproc
MASTER_SITES= ftp://ftp.dict.org/pub/dict/ \
${MASTER_SITE_SOURCEFORGE}
diff -ruN /usr/ports/net/dictd/distinfo ./dictd/distinfo
--- /usr/ports/net/dictd/distinfo Sat Nov 23 18:11:33 2002
+++ ./dictd/distinfo Thu Oct 9 21:48:17 2003
@@ -1 +1 @@
-MD5 (dictd-1.8.0.tar.gz) = ce54a5ea05429954e2f743ee0fa661b5
+MD5 (dictd-1.9.7.tar.gz) = baa8f18dd0373e7053658be99d40d5db
diff -ruN /usr/ports/net/dictd/files/patch-Makefile_in ./dictd/files/patch-Makefile_in
--- /usr/ports/net/dictd/files/patch-Makefile_in Sat Nov 23 18:11:33 2002
+++ ./dictd/files/patch-Makefile_in Thu Oct 9 22:08:34 2003
@@ -1,5 +1,5 @@
---- Makefile.in.orig Mon Jun 10 02:33:02 2002
-+++ Makefile.in Mon Jun 10 02:37:31 2002
+--- Makefile.in.orig Tue Mar 4 03:14:35 2003
++++ Makefile.in Thu Oct 9 22:07:56 2003
@@ -33,7 +33,7 @@
srcdir= @srcdir@
VPATH= @srcdir@
@@ -9,19 +9,19 @@
exec_prefix= @exec_prefix@
man1_prefix= @mandir@/man1
man8_prefix= @mandir@/man8
-@@ -57,9 +57,9 @@
- -DDICT_CONFIG_PATH=\"$(conf)\"
+@@ -70,9 +70,9 @@
+
SCFLAGS= @SCFLAGS@
LDFLAGS= @LDFLAGS@
-XTRACFLAGS= @WCFLAGS@ @XTRACFLAGS@ @DEFS@ @CPPFLAGS@ -I. -Iregex
+XTRACFLAGS= @WCFLAGS@ @XTRACFLAGS@ @DEFS@ @CPPFLAGS@ -I. # -Iregex
XTRALDFLAGS= @WLDFLAGS@ @XTRALDFLAGS@
--LDLIBS= @LIBS@ -Lregex -lregex
-+LDLIBS= @LIBS@ -L%%PREFIX%%/lib -lltdl # -Lregex -lregex
+-LDLIBS= @LIBOBJS@ @LIBS@ -Lregex -lregex
++LDLIBS= @LIBOBJS@ @LIBS@ -L%%PREFIX%%/lib -lltdl # -Lregex -lregex
- EXES= dict dictd dictzip
+ EXES= dict dictd dictzip dictfmt
-@@ -75,17 +75,7 @@
+@@ -114,17 +114,7 @@
all $(EXES)::
@for subdir in `echo $(subdirs)`; do \
echo making in $$subdir; \
@@ -39,23 +39,4 @@
+ (cd $$subdir && $(MAKE)) || exit 1; \
done
- all:: $(EXES)
-@@ -116,11 +106,13 @@
- servscan.o: servscan.c servparse.o servparse.h $(HEADERS)
- $(CC) -c $(XTRACFLAGS) $(CFLAGS) $(SCFLAGS) $<
-
--servparse.c: servparse.y
-- $(YACC) -tdv $<
-- cmp -s y.tab.h servparse.h || mv y.tab.h servparse.h
-- cmp -s y.tab.c servparse.c || mv y.tab.c servparse.c
-- -rm -f y.tab.h y.tab.c
-+servparse.c: servparse.h
-+
-+servparse.h: servparse.y
-+ $(YACC) -tdv -b serv $<
-+ cmp -s serv.tab.h servparse.h || mv serv.tab.h servparse.h
-+ cmp -s serv.tab.c servparse.c || mv serv.tab.c servparse.c
-+ -rm -f serv.tab.h serv.tab.c
-
- servparse.o: servparse.c $(HEADERS)
- $(CC) -c $(XTRACFLAGS) $(CFLAGS) $(SCFLAGS) $<
+ all:: $(EXES) $(LIBRARIES) plugins
diff -ruN /usr/ports/net/dictd/files/patch-break-utf8 ./dictd/files/patch-break-utf8
--- /usr/ports/net/dictd/files/patch-break-utf8 Tue Sep 9 21:00:16 2003
+++ ./dictd/files/patch-break-utf8 Fri Oct 10 00:20:35 2003
@@ -1,17 +1,16 @@
-diff -ru ../dictd-freebsd/dictd.c ./dictd.c
---- ../dictd-freebsd/dictd.c Sun Nov 24 09:35:55 2002
-+++ ./dictd.c Sun Dec 1 22:29:55 2002
-@@ -662,6 +662,8 @@
+--- dictd.c.orig Mon Mar 10 01:07:36 2003
++++ dictd.c Fri Oct 10 00:19:17 2003
+@@ -1064,6 +1064,8 @@
- static void set_utf8_mode (const char *locale)
+ static void set_utf8bit_mode (const char *loc)
{
+#include <osreldate.h>
+#if __FreeBSD_version > 499999
char *locale_copy;
- locale_copy = strdup (locale);
+ locale_copy = strdup (loc);
strlwr_8bit (locale_copy);
-@@ -671,6 +673,9 @@
- strstr (locale_copy, "utf8");
+@@ -1075,6 +1077,9 @@
+ bit8_mode = !utf8_mode && (locale_copy [0] != 'c' || locale_copy [1] != 0);
free (locale_copy);
+#else
@@ -20,10 +19,9 @@
}
static void init (const char *fn)
-diff -ru ../dictd-freebsd/index.c ./index.c
---- ../dictd-freebsd/index.c Sun Dec 1 22:12:49 2002
-+++ ./index.c Sun Dec 1 22:25:06 2002
-@@ -111,6 +111,10 @@
+--- index.c.orig Mon Mar 10 01:06:16 2003
++++ index.c Fri Oct 10 00:20:22 2003
+@@ -123,6 +123,10 @@
const char *src, char *dest,
int allchars_mode)
{
@@ -31,30 +29,30 @@
+#if __FreeBSD_version < 500000
+ abort();
+#else
- wint_t ucs4_char;
-
- while (src && src [0]){
-@@ -130,6 +134,7 @@
- *dest = 0;
+ wchar_t ucs4_char;
+ size_t len;
+ int len2;
+@@ -154,6 +158,7 @@
+ *dest = 0;
- return (src != NULL);
+ return (src != NULL);
+#endif
}
static void dict_table_init(void)
-@@ -166,9 +171,11 @@
- p[i] = &s[2 * i];
- }
+@@ -200,9 +205,11 @@
+ p[i] = &s[2 * i];
+ }
/* Sort those strings in the locale */
+#if __FreeBSD_version > 499999
- if (utf8_mode)
- qsort(p, UCHAR_MAX + 1, sizeof(p[0]), dict_table_init_compare_utf8);
- else
+ if (utf8_mode)
+ qsort(p, UCHAR_MAX + 1, sizeof(p[0]), dict_table_init_compare_utf8);
+ else
+#endif
- qsort(p, UCHAR_MAX + 1, sizeof(p[0]), dict_table_init_compare_strcoll);
+ qsort(p, UCHAR_MAX + 1, sizeof(p[0]), dict_table_init_compare_strcoll);
/* Extract our unordered arrays */
-@@ -1126,6 +1133,9 @@
+@@ -1258,6 +1265,9 @@
*/
static int stranagram_utf8 (char *str)
{
@@ -62,9 +60,9 @@
+ abort();
+#else
size_t len;
- char *p;
+ char *p;
-@@ -1142,6 +1151,7 @@
+@@ -1280,6 +1290,7 @@
stranagram_8bit (str, -1);
return 1;
@@ -72,31 +70,3 @@
}
/* makes anagram of utf-8 string 'str' */
-diff -ru ../dictd-freebsd/utf8_ucs4.c ./utf8_ucs4.c
---- ../dictd-freebsd/utf8_ucs4.c Sun Nov 24 09:35:55 2002
-+++ ./utf8_ucs4.c Sun Dec 1 22:44:40 2002
-@@ -1,3 +1,5 @@
-+#include <osreldate.h>
-+#if __FreeBSD_version > 499999
- #include <wctype.h>
- #include <stdlib.h>
- #include <ctype.h>
-@@ -210,3 +212,4 @@
- else
- return (size_t) -1;
- }
-+#endif // __FreeBSD_version > 499999
-diff -ru ../dictd-freebsd/utf8_ucs4.h ./utf8_ucs4.h
---- ../dictd-freebsd/utf8_ucs4.h Sun Nov 24 09:35:55 2002
-+++ ./utf8_ucs4.h Sun Dec 1 22:26:15 2002
-@@ -1,3 +1,5 @@
-+#include <osreldate.h>
-+#if __FreeBSD_version > 499999
- #ifndef _UTF8_UCS4_H_
- #define _UTF8_UCS4_H_
-
-@@ -73,3 +75,4 @@
- __END_DECLS
-
- #endif // _UTF8_UCS4_H_
-+#endif // __FreeBSD_version > 499999
diff -ruN /usr/ports/net/dictd/files/patch-configure ./dictd/files/patch-configure
--- /usr/ports/net/dictd/files/patch-configure Thu Jan 1 08:00:00 1970
+++ ./dictd/files/patch-configure Thu Oct 9 23:45:04 2003
@@ -0,0 +1,78 @@
+--- configure.orig Mon Mar 10 01:22:34 2003
++++ configure Thu Oct 9 23:44:49 2003
+@@ -3400,66 +3400,6 @@
+
+ fi
+
+-if test "x${USE_PLUGIN}" = "x1"; then
+-
+-for ac_header in ltdl.h
+-do
+-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+-echo "$as_me:3408: checking for $ac_header" >&5
+-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+- echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+- cat >conftest.$ac_ext <<_ACEOF
+-#line 3414 "configure"
+-#include "confdefs.h"
+-#include <$ac_header>
+-_ACEOF
+-if { (eval echo "$as_me:3418: \"$ac_cpp conftest.$ac_ext\"") >&5
+- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+- ac_status=$?
+- egrep -v '^ *\+' conftest.er1 >conftest.err
+- rm -f conftest.er1
+- cat conftest.err >&5
+- echo "$as_me:3424: \$? = $ac_status" >&5
+- (exit $ac_status); } >/dev/null; then
+- if test -s conftest.err; then
+- ac_cpp_err=$ac_c_preproc_warn_flag
+- else
+- ac_cpp_err=
+- fi
+-else
+- ac_cpp_err=yes
+-fi
+-if test -z "$ac_cpp_err"; then
+- eval "$as_ac_Header=yes"
+-else
+- echo "$as_me: failed program was:" >&5
+- cat conftest.$ac_ext >&5
+- eval "$as_ac_Header=no"
+-fi
+-rm -f conftest.err conftest.$ac_ext
+-fi
+-echo "$as_me:3443: result: `eval echo '${'$as_ac_Header'}'`" >&5
+-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+-if test `eval echo '${'$as_ac_Header'}'` = yes; then
+- cat >>confdefs.h <<EOF
+-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+-EOF
+-
+-cat >>confdefs.h <<\EOF
+-#define HAVE_LTDL_H 1
+-EOF
+-
+-else
+- { { echo "$as_me:3455: error: Install ltdl library and appropriate header files" >&5
+-echo "$as_me: error: Install ltdl library and appropriate header files" >&2;}
+- { (exit 1); exit 1; }; }
+-fi
+-done
+-
+-fi
+-
+ for ac_header in unistd.h strings.h limits.h
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+@@ -5023,7 +4963,7 @@
+ EOF
+
+ if test $ac_cv_func_lstat_dereferences_slashed_symlink = no; then
+- LIBOBJS="$LIBOBJS lstat.$ac_objext"
++ LIBOBJS="$LIBOBJS -lc"
+ fi
+
+ echo "$as_me:5029: checking whether stat accepts an empty string" >&5
diff -ruN /usr/ports/net/dictd/files/patch-libmaa::configure ./dictd/files/patch-libmaa::configure
--- /usr/ports/net/dictd/files/patch-libmaa::configure Mon Jan 29 03:13:59 2001
+++ ./dictd/files/patch-libmaa::configure Thu Oct 9 22:16:57 2003
@@ -1,13 +1,13 @@
---- libmaa/configure~ Mon Jan 29 01:00:16 2001
-+++ libmaa/configure Mon Jan 29 01:00:29 2001
-@@ -875,11 +875,8 @@
+--- libmaa/configure.orig Mon Mar 10 01:22:39 2003
++++ libmaa/configure Thu Oct 9 22:16:29 2003
+@@ -1859,10 +1859,7 @@
# Check whether --with-cflags or --without-cflags was given.
if test "${with_cflags+set}" = set; then
withval="$with_cflags"
--
+-
-if test "x${withval}" = xyes; then
CFLAGS="$withval"
-fi
--
-+
- fi
+
+ fi;
+
diff -ruN /usr/ports/net/dictd/files/patch-servparse.y ./dictd/files/patch-servparse.y
--- /usr/ports/net/dictd/files/patch-servparse.y Sat Nov 23 18:11:33 2002
+++ ./dictd/files/patch-servparse.y Thu Jan 1 08:00:00 1970
@@ -1,10 +0,0 @@
---- servparse.y~ Wed Nov 20 20:04:50 2002
-+++ servparse.y Wed Nov 20 20:04:59 2002
-@@ -125,6 +125,7 @@
- ;
-
- Site : T_SITE T_STRING { $$ = $2; }
-+ ;
-
- UserList : T_USERNAME T_STRING T_STRING
- { $$ = hsh_create(NULL,NULL);
>Release-Note:
>Audit-Trail:
>Unformatted:
More information about the freebsd-ports-bugs
mailing list